## flask-assets 0.12

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Flask-Assets.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Flask-Assets.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
flask-assets (0.12-3) unstable; urgency=medium

  * Add missing dependency on python3-yaml.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 Jul 2018 01:51:37 +0100

flask-assets (0.12-2) unstable; urgency=medium

  * Fix compatibility with newer versions of flask. Closes: #902460

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 24 Jul 2018 21:43:45 +0100

flask-assets (0.12-1) unstable; urgency=medium

  * Initial release. (Closes: #898623)

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 14 May 2018 17:25:38 +0100

=== debian/control ===
Source: flask-assets
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Jelmer Vernooĳ <jelmer@debian.org>
Section: python
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-flask,
 python3-flask-bcrypt,
 python3-flask-script,
 python3-nose,
 python3-setuptools,
 python3-yaml,
 python3-webassets
Standards-Version: 4.1.4
Homepage: https://flask-assets.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/modules/flask-assets.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-assets.git

Package: python3-flask-assets
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: Python 3 flask extension that provides webassets integration
 This extension to the flask framework integrates support for the ``webassets``
 library, adding support for merging, minifying and compiling CSS and
 Javascript files.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-assets

%:
	dh $@ --with python3 --buildsystem=pybuild

## flask-assets 2.0

=== debian/changelog ===
flask-assets (2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Fix wrong Vcs-*.

  [ Jelmer Vernooĳ ]
  * Bump debhelper from deprecated 9 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Add debian/watch file, using pypi.
  * Update patch for flask compatibility. Closes: #959588
  * New upstream release.
  * Set Rules-Requires-Root: no.
  * Update standards version to 4.1.5, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 26 May 2020 11:42:39 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: python
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-flask,
@@ -15,10 +15,11 @@
  python3-setuptools,
  python3-yaml,
  python3-webassets
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Homepage: https://flask-assets.readthedocs.io/en/latest/
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/modules/flask-assets.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-assets.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/flask-assets
 
 Package: python3-flask-assets
 Architecture: all

=== debian/watch ===
version=4
https://pypi.debian.net/Flask-Assets/Flask-Assets-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
